Bug 117935 - Accessible text-attributes-changed signals should only be emitted when the text attributes have changed [a11y] second attempt
Summary: Accessible text-attributes-changed signals should only be emitted when the te...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0 target:6.2.1
Keywords: accessibility, regression
Depends on:
Blocks: a11y
  Show dependency treegraph
 
Reported: 2018-05-31 14:41 UTC by Michael Stahl (CIB)
Modified: 2019-03-01 16:47 UTC (History)
10 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Stahl (CIB) 2018-05-31 14:41:32 UTC
Description:
see bug 71556 - the fix for this essentially was removed in a series of accidents starting with commit 7d9bb549d and presumably we want the fix so the code has to be added again...

Actual Results:  
see bug 71556

Expected Results:
see bug 71556


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:60.0) Gecko/20100101 Firefox/60.0
Comment 1 Michael Stahl (CIB) 2018-05-31 14:43:07 UTC
Noel likes to work in sw...
Comment 2 Xisco Faulí 2018-09-01 10:51:47 UTC
Dear Noel Grandin,
This bug has been in ASSIGNED status for more than 3 months without any
activity. Resetting it to NEW.
Please assigned it back to yourself if you're still working on this.
Comment 3 Alex ARNAUD 2019-01-22 08:20:54 UTC
Hello all,

I would like to bring your attention on this accessibility regression that has been discovered on may 31st, 2018, yet that it still awaiting a fix although it probably is a mere matter of reverting an unfortunate mistake.

As TDF would like to avoid accessibility regressions, could it be possible to have CIB or Collabora support on this?

Thanks in advance.

Best regards,
Alex.
Comment 4 Michael Meeks 2019-01-22 09:38:00 UTC
Hmm; so part of Armin's DrawingLayer work somehow dropped Joan Marie's patch from bug#71556 - https://cgit.freedesktop.org/libreoffice/core/commit/?id=dddae1f0b950f1ce8ab4bcd24991f1917fa36aa6 that caused the problem ?

Any thoughts Armin ? Alex - all regressions are bad: this is not a trivial reversion: you're encouraged to look into it yourself too.
Comment 5 Noel Grandin 2019-01-22 09:44:47 UTC
I have a fix for this in-progress at

https://gerrit.libreoffice.org/#/c/66719/1
Comment 6 Commit Notification 2019-01-22 11:59:10 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/f9fe988b7f463bc221dd3b67dcf0ed39309f921a%5E%21

tdf#117935 Accessible text-attributes-changed signals...

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-01-23 11:56:48 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/39d6804454f60fb9ba442f85a0487898dfe68e69%5E%21

tdf#117935 Accessible text-attributes-changed signals...

It will be available in 6.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2019-01-23 12:11:05 UTC
Should it be backported to 6-1 branch ?